/// <reference types="react" />
import { BaseComponent, IRenderComponent } from '../../Utilities';
import { IKeytipDataProps } from './KeytipData.types';
/**
 * A small element to help the target component correctly read out its aria-describedby for its Keytip
 *
 * @export
 * @class KeytipData
 * @extends {BaseComponent<IKeytipDataProps & IRenderComponent<{}>, {}>}
 */
export declare class KeytipData extends BaseComponent<IKeytipDataProps & IRenderComponent<{}>, {}> {
    private _uniqueId;
    private _keytipManager;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    render(): JSX.Element;
    private _getKtpProps();
    /**
     * Gets the aria- and data- attributes to attach to the component
     * @param keytipProps
     * @param describedByPrepend
     */
    private _getKtpAttrs(keytipProps, describedByPrepend?);
}
